Name:          vkoverhead
Version:       1.3
Release:       1%{?dist}
Summary:       Evaluating cpu overhead of vulkan drivers

License:       MIT
URL:           https://github.com/zmike/vkoverhead
Source0:       %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: meson
BuildRequires: ninja-build
BuildRequires: python3
BuildRequires: python3-mako

%description
vkoverhead is a tool for evaluating CPU-based overhead of Vulkan
drivers. It was inspired heavily by drawoverhead from piglit.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
install -Dp redhat-linux-build/foz_parse %{buildroot}/%{_bindir}/foz_parse
install -Dp redhat-linux-build/vkoverhead %{buildroot}/%{_bindir}/vkoverhead


%files
%license LICENSE
%{_bindir}/foz_parse
%{_bindir}/vkoverhead

%changelog
* Thu Feb 27 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 1.3-1
- Update to 1.3

* Thu Jun 22 2023 Peter Robinson <pbrobinson@fedoraproject.org> 1.2-1
- Initial package
